Package org.springframework.web.servlet.resource

# Class ResourceUrlProviderExposingInterceptor

java.lang.Object
org.springframework.web.servlet.resource.ResourceUrlProviderExposingInterceptor

All Implemented Interfaces:
  `HandlerInterceptor`

public class ResourceUrlProviderExposingInterceptor extends Object implements HandlerInterceptor
An interceptor that exposes the `ResourceUrlProvider` instance it is configured with as a request attribute.

Since:
  4.1
Author:
  Rossen Stoyanchev

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`RESOURCE_URL_PROVIDER_ATTR`
Name of the request attribute that holds the `ResourceUrlProvider`.

## Constructor Summary

Constructors
Constructor
Description
`ResourceUrlProviderExposingInterceptor(ResourceUrlProvider resourceUrlProvider)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)`
Interception point before the execution of a handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.servlet.HandlerInterceptor

`afterCompletion, postHandle`

## Field Details

### RESOURCE_URL_PROVIDER_ATTR

public static final String RESOURCE_URL_PROVIDER_ATTR
Name of the request attribute that holds the `ResourceUrlProvider`.

## Constructor Details

### ResourceUrlProviderExposingInterceptor

public ResourceUrlProviderExposingInterceptor(ResourceUrlProvider resourceUrlProvider)

## Method Details

### preHandle

public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception
Description copied from interface: `HandlerInterceptor`
Interception point before the execution of a handler. Called after HandlerMapping determined an appropriate handler object, but before HandlerAdapter invokes the handler.

DispatcherServlet processes a handler in an execution chain, consisting of any number of interceptors, with the handler itself at the end. With this method, each interceptor can decide to abort the execution chain, typically sending an HTTP error or writing a custom response.

Note: special considerations apply for asynchronous request processing. For more details see `AsyncHandlerInterceptor`.

The default implementation returns `true`.

Specified by:
  `preHandle` in interface `HandlerInterceptor`
Parameters:
  `request` - current HTTP request
  `response` - current HTTP response
  `handler` - chosen handler to execute, for type and/or instance evaluation
Returns:
  `true` if the execution chain should proceed with the next interceptor or the handler itself. Else, DispatcherServlet assumes that this interceptor has already dealt with the response itself.
Throws:
  `Exception` - in case of errors